grub提示error15:file not found[已解决]

为当前最终发行版之前的所有版本提供支持
回复
dida
帖子: 131
注册时间: 2006-03-12 17:01
送出感谢: 0
接收感谢: 0

grub提示error15:file not found[已解决]

#1

帖子 dida » 2006-04-03 11:10

硬件环境:我已安装ubuntu5.1的硬盘在bios中的排序为4(按grub的方法从0开始计数),但在ubuntu的安装程序中这块硬盘的排序为2

我在安装的grub的时候,先输入hd4,0,然后电脑启动的时候选择从安装了ubuntu的硬盘启动,这时提示error load os,看不到grub的启动菜单

于是,又把Grub安装到hd2,0,能看到grub的启动菜单,输出为:
root(hd2,0)
kernel /boot/vmlinuz root=/dev/sda1

这时 grub提示error15:file not found

我试过在grub启动菜单那儿按c进入命令行模式 ,然后输入
root(hd4,0)
kernel /boot/vmlinuz root=/dev/sdc1
一样提示error 15,请指教我能进入ubuntu系统的方法,谢谢~
---------------------------------------------------------------

20060408编辑:
改成
root(hd0,0)
kernel /boot/vmlinuz root=/dev/sda1
就行了
我把grub装在sda1上,于是grub认为这就是hd0,0

就这样
上次由 dida 在 2006-04-08 23:54,总共编辑 1 次。
dais202
帖子: 3
注册时间: 2006-04-04 1:00
送出感谢: 0
接收感谢: 0

#2

帖子 dais202 » 2006-04-04 1:13

我也碰到一个差不多的问题,估计是ISO文件存放的位置弄错了,“根据下载的文件存放的位置”是在哪输入位置的??
知道了告诉我
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

Re: grub提示error15:file not found

#3

帖子 eexpress » 2006-04-04 2:06

dida 写了:硬件环境:我已安装ubuntu5.1的硬盘在bios中的排序为4(按grub的方法从0开始计数),但在ubuntu的安装程序中这块硬盘的排序为2

我在安装的grub的时候,先输入hd4,0,然后电脑启动的时候选择从安装了ubuntu的硬盘启动,这时提示error load os,看不到grub的启动菜单

于是,又把Grub安装到hd2,0,能看到grub的启动菜单,输出为:
root(hd2,0)
kernel /boot/vmlinuz root=/dev/sda1

这时 grub提示error15:file not found

我试过在grub启动菜单那儿按c进入命令行模式 ,然后输入
root(hd4,0)
kernel /boot/vmlinuz root=/dev/sdc1
一样提示error 15,请指教我能进入ubuntu系统的方法,谢谢~
你有几个硬盘?hd2,0表示第3个硬盘的第一个分区。是不是写反了?
● 鸣学
dida
帖子: 131
注册时间: 2006-03-12 17:01
送出感谢: 0
接收感谢: 0

#4

帖子 dida » 2006-04-05 21:32

回eexpress,我有5个硬盘,系统装在第5块硬盘第一个分区上,按grub的写法应该是
hd4,0

但是这块硬盘在ubuntu的安装程序中排序是hd2

我现在想知道用live cd启动后,如果挂载这块硬盘,然后修改menu.lst,谢谢!~
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#5

帖子 eexpress » 2006-04-05 22:31

只能提供方法:grub可以使用tab补全盘符,还有就是find命令可以查找你的vmlinux和initrd这些文件确切的位置。这样就可以不管次序,只要查到正确的文件,应该就可以过这个错误了。grub的方法,下载一个grub.pdf就可以了解了。
● 鸣学
dida
帖子: 131
注册时间: 2006-03-12 17:01
送出感谢: 0
接收感谢: 0

#6

帖子 dida » 2006-04-06 15:43

谢谢eepress,晚上再测试一下看看
回复

回到 “老旧版本支持”